com.genesyslab.wfm8.API.service.config851

## Class CfgSortMode

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgSortMode

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgSortMode
      extends java.lang.Object
      implements java.io.Serializable

  Used to specify a sort mode in request
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `ascending` Specifies a sort order ("true" - ascending, "false" - descending).
    `private static long` | `serialVersionUID`
    `protected int` | `sortMode` Specifies a sort mode applicable for requested object (`ECfgSortMode`) Note that you can specify up to 3 secondary sort modes by shifting them into higher-bytes of sortMode.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgSortMode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getSortMode()` Gets the value of the sortMode property.
    `int` | `hashCode()`
    `boolean` | `isAscending()` Gets the value of the ascending property.
    `void` | `setAscending(boolean value)` Sets the value of the ascending property.
    `void` | `setSortMode(int value)` Sets the value of the sortMode property.
    `java.lang.String` | `toString()`
    `CfgSortMode` | `withAscending(boolean value)`
    `CfgSortMode` | `withSortMode(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### sortMode

          protected int sortMode

      Specifies a sort mode applicable for requested object (`ECfgSortMode`) Note that you can specify up to 3 secondary sort modes by shifting them into higher-bytes of sortMode. For example, you can specify sort mode to sort Agents by Team name and have Agent's first name as a secondary sort mode: sortMode = CFG_AGENT_SORT_TEAM + (CFG_AGENT_SORT_FIRST_NAME << 8)

    - #### ascending

          protected boolean ascending

      Specifies a sort order ("true" - ascending, "false" - descending). Note that descending sort order can also be specified by setting highest bit of any 8-bit sort mode specified. That allows specifying different sort orders for secondary sort modes specified in CfgSortMode.sortMode.

  - ### Constructor Detail

    - #### CfgSortMode

          public CfgSortMode()

  - ### Method Detail

    - #### getSortMode

          public int getSortMode()

      Gets the value of the sortMode property.

    - #### setSortMode

          public void setSortMode(int value)

      Sets the value of the sortMode property.

    - #### isAscending

          public boolean isAscending()

      Gets the value of the ascending property.

    - #### setAscending

          public void setAscending(boolean value)

      Sets the value of the ascending property.

    - #### withSortMode

          public CfgSortMode withSortMode(int value)

    - #### withAscending

          public CfgSortMode withAscending(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.